Skip to content

Symbol ​

Get detailed information about a specific trading symbol including broker-specific symbol mapping.

Endpoint URL ​

http
Local Host   :  POST http://127.0.0.1:5000/api/v1/symbol
Ngrok Domain :  POST https://<your-ngrok-domain>.ngrok-free.app/api/v1/symbol
Custom Domain:  POST https://<your-custom-domain>/api/v1/symbol

Sample API Request (Equity) ​

json
{
  "apikey": "<your_app_apikey>",
  "symbol": "RELIANCE",
  "exchange": "NSE"
}

Sample cURL Request ​

bash
curl -X POST http://127.0.0.1:5000/api/v1/symbol \
  -H 'Content-Type: application/json' \
  -d '{
  "apikey": "<your_app_apikey>",
  "symbol": "RELIANCE",
  "exchange": "NSE"
}'

Sample API Response (Equity) ​

json
{
  "status": "success",
  "data": {
    "id": 979,
    "name": "RELIANCE",
    "symbol": "RELIANCE",
    "brsymbol": "RELIANCE-EQ",
    "exchange": "NSE",
    "brexchange": "NSE",
    "instrumenttype": "",
    "expiry": "",
    "strike": -0.01,
    "lotsize": 1,
    "tick_size": 0.05,
    "token": "2885"
  }
}

Sample API Request (Futures) ​

json
{
  "apikey": "<your_app_apikey>",
  "symbol": "NIFTY30DEC25FUT",
  "exchange": "NFO"
}

Sample API Response (Futures) ​

json
{
  "status": "success",
  "data": {
    "brexchange": "NSE_FO",
    "brsymbol": "NIFTY FUT 30 DEC 25",
    "exchange": "NFO",
    "expiry": "30-DEC-25",
    "freeze_qty": 1800,
    "id": 57900,
    "instrumenttype": "FUT",
    "lotsize": 65,
    "name": "NIFTY",
    "strike": 0,
    "symbol": "NIFTY30DEC25FUT",
    "tick_size": 10,
    "token": "NSE_FO|49543"
  }
}

Request Body ​

ParameterDescriptionMandatory/OptionalDefault Value
apikeyYour Tradeboard API keyMandatory-
symbolTrading symbol in Tradeboard formatMandatory-
exchangeAny value in the shared VALID_EXCHANGES listMandatory-

These three fields are the complete SymbolSchema. Any other field returns HTTP 400.

Response Fields ​

FieldTypeDescription
statusstring"success" or "error"
dataobjectSymbol details object

Data Object Fields ​

FieldTypeDescription
idnumberInternal symbol ID
namestringSymbol name/underlying
symbolstringTradeboard standard symbol
brsymbolstringBroker-specific symbol
exchangestringTradeboard exchange code
brexchangestringBroker-specific exchange code
instrumenttypestringInstrument type (EQ, FUT, CE, PE)
expirystringExpiry date for F&O (DD-MMM-YY)
strikenumberStrike price for options (-0.01 for non-options)
lotsizenumberLot size for F&O (1 for equity)
tick_sizenumberMinimum price movement
freeze_qtynumberMaximum quantity per order (for F&O)
tokenstringBroker-specific instrument token

Notes ​

  • Use this endpoint to get the broker-specific symbol for order placement
  • The lotsize field shows:
    • NIFTY: 65
    • BANKNIFTY: 30
    • SENSEX: 20
    • Equity: 1
  • The freeze_qty field indicates the maximum quantity allowed per order
  • The token is used by brokers for faster symbol lookup

Back to: API Documentation